[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

1.9.0 compiled under cygwin 1.3.22-1

From: jozsineni
Subject: 1.9.0 compiled under cygwin 1.3.22-1
Date: Wed, 27 Aug 2003 09:50:14 +0200

I was able to compile lilypond 1.9.0 under Win2000, using cygwin
1.3.22-1 (The method should be the same for 1.8.1)

Steps needed:

(Only for PFA-fonts
* download autotrace sources, ./configure, make all, make install
* download t1utils, ./configure, make all, make install
* download pfaedit, copy the executable into /usr/local/bin
* download mftrace, ./configure, make all, make install

(* flex, bison, tetex-devel, gettext-devel, etc. install)

(* uninstall previous version)

(* enter source dir, e.g. /usr/src/lilypond-1.9.0)

* ./ --with-kpathsea-include=/usr/include/kpathsea

* edit config.make: 
        find USER_LDFLAGS and append
/lib/python2.3/config/libpython2.3.dll.a, so it looks:
                USER_LDFLAGS = -lguile -lguile-tdl -lm

* make all

Then it aborts with strange messages (about ambigous istream -- BUG in
Flex or or gcc???) after:

flex -Cfe -p -p -t lexer.ll > out/

Then is removed, so I had to rerun 

* make all

because I had to modify to solve the problem. The solution was:

* Edit lily/out/ and write "#include <FlexLexer.h>" after
"#include <stdlib.h>", and remove the line containing "class istream;"

So one more time:

* make all

* make install

* cp ./cygwin/out/ /etc/profile.d

And for PFA-fonts:

* make pfa-fonts

* mkdir /usr/local/share/lilypond/fonts/type1
* cp mf/out/*.pfa /usr/local/share/lilypond/fonts/type1
* cp mf/out/ /usr/share/texmf/dvips/misc
* texhash

That's it.


reply via email to

[Prev in Thread] Current Thread [Next in Thread]